### Signal

# Gtk Svg::error

since: 4.22

#### Declaration

    void
    error (
      GtkSvg* self,
      GError* error,
      gpointer user_data
    )

#### Description [src]

Signals that an error occurred.

Errors can occur both during parsing and during rendering.

The expected error values are in the `GtkSvgError` enumeration, context information about the location of parsing errors can be obtained with the various `gtk_svg_error` functions.

Parsing errors are never fatal, so the parsing will resume after the error. Errors may however cause parts of the given data or even all of it to not be parsed at all. So it is a useful idea to check that the parsing succeeds by connecting to this signal.

Note

This signal is emitted in the middle of parsing or rendering, and if you handle it, you must be careful. Logging the errors you receive is fine, but modifying the widget hierarchy or changing the paintable state definitively isn’t.

If in doubt, defer to an idle.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.22

#### Parameters

`error`

  Type: `GError`

  The error.

  The data is owned by the caller of the function.